varying mediump vec2 tt;
uniform sampler2D smp2d;

uniform mediump vec4 color;
uniform mediump vec2 pixel_size;

void main()
{
	mediump vec4 mask = texture2D(smp2d, tt);
	mediump float m = mask.a;

	mediump vec4 col = vec4(color.r, color.g, color.b, m * color.a);

	gl_FragColor = col;
}

